[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# IncludeTrailingPathDelimiter

Add trailing directory separator to a pathname, if needed.

## Declaration

Source position: finah.inc line 33

`function IncludeTrailingPathDelimiter(`
`const Path: UNICODESTRING`
`):UNICODESTRING; function IncludeTrailingPathDelimiter(`
`const Path: RAWBYTESTRING`
`):RAWBYTESTRING;`

## Description

IncludeTrailingPathDelimiter adds a trailing path delimiter character (PathDelim) to Path if none is present yet, and returns the result.

If Path is empty, a path delimiter is returned, for Delphi compatibility.

## See also

IncludeTrailingBackslash |  | Add trailing directory separator to a pathname, if needed.
ExcludeTrailingPathDelimiter |  | Strip trailing directory separator from a pathname, if needed.
PathDelim |  | Path (directory) delimiter.
IsPathDelimiter |  | Is the character at the given position a pathdelimiter ?